package com.logpresso.scanner.utils;

import java.util.Collection;
import java.util.List;

public class StringUtils {
	private StringUtils() {
	}

	public static String toString(List<String> pathChain) {
		if (pathChain == null)
			return "";

		return join(pathChain, " > ");
	}

	public static String join(Collection<String> tokens, String separator) {
		StringBuilder sb = new StringBuilder();
		int i = 0;

		for (String path : tokens) {
			if (i++ != 0)
				sb.append(separator);
			sb.append(path);
		}

		return sb.toString();
	}
}
